#################################################################################
#                                                                               #
#                       copyright (c) 2003 ITB, HU Berlin                       #
#                                                                               #
#                       modified from PloneMinimalProduct                       #
#                       copyright (c) 2003 Ingeniweb SARL                       #
#                                                                               #
#################################################################################

"""CMFBibliography Product for handling references to scientific publications"""

from global_symbols import *

from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils, CMFCorePermissions

import BibliographyFolder
import BibliographyEntry

registerDirectory('skins', globals())
registerDirectory('skins/bibliography', globals())

install_globals = globals()     # Used only in the Extensions/Install.py script


# Classes & constructors declaration
contentClasses = (BibliographyFolder.BibliographyFolder,
                  BibliographyEntry.BibliographyEntry, )
contentConstructors = (BibliographyFolder.addBibliographyFolder,
                       BibliographyEntry.addBibliographyEntry, )


# Initialization method
def initialize(context):
    utils.ContentInit(
        'A simple folderish type',
        content_types = contentClasses,
        # $$$ THESE PERMISSIONS SHOULD BE FACTORIZED INTO
        # A COMMON ONE FOR ALL CONTENT CLASSES
        permission = BibliographyFolder_addPermission,
        extra_constructors = contentConstructors,
        fti = (BibliographyFolder.factory_type_information,),
        ).initialize(context)
